Bug 736416 - [webadmin] Hosts main tab: NICs sub tab: Actions
Summary: [webadmin] Hosts main tab: NICs sub tab: Actions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: m3
: 3.1
Assignee: Einav Cohen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 16:11 UTC by Einav Cohen
Modified: 2012-08-09 08:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 08:02:16 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Einav Cohen 2011-09-07 16:11:11 UTC
Hosts main tab -> NICs sub-tab:
- Edit/Add Vlan (dialog)
- Edit Management Network (dialog)
- Bond (dialog)
- Detach, Save network config, Refresh (confirmation/non-dialog)

Comment 1 Vojtech Szocs 2011-09-20 12:30:07 UTC
Pre-integration ticket https://trac.qa.lab.tlv.redhat.com/trac/integration/ticket/458

Comment 2 Vojtech Szocs 2011-09-29 08:39:42 UTC
Edit/Add Vlan = HostInterfaceView.xaml
Edit Management Network = HostManagementNetworkView.xaml
Bond = HostBondView.xaml

Comment 3 Vojtech Szocs 2011-09-29 13:12:37 UTC
This bug is currently blocked by HostInterfaceListModel setItems() issue. UpdateItems() creates List<HostInterfaceLineModel> from List<VdsNetworkInterface> and calls setItems(newList), which causes ClassCastException in SearchableListModel.setItems(), since HostInterfaceLineModel is not IVdcQueryable.

Furthermore, it looks like HostInterfaceListModel treats "items" as collection of HostInterfaceLineModel, and "selectedItem" / "selectedItems" as VdsNetworkInterface. Our application assumes "items" are of same type as "selectedItem" / "selectedItems" and this causes another ClassCastException. HostInterfaceListModel should treat all items consistently.

Comment 4 Vojtech Szocs 2011-10-04 16:06:41 UTC
All issues related to HostInterfaceListModel items & selection have been resolved (by adapting to the custom item handling behavior).

It is now possible to select rows in Host NIC table, with commands (action buttons) changing their "enabled" state appropriately according to selection.

Comment 5 Vojtech Szocs 2011-10-05 15:47:36 UTC
Update: Based on discussion with Gilad, Host NIC table will be, most likely, implemented as form-based sub tab, because it doesn't really fit the typical table widget strategy.

- auto refresh will be disabled for HostInterfaceListModel
- each refresh will clear any previous selections

Comment 8 Itamar Heim 2012-08-09 08:02:16 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Comment 9 Itamar Heim 2012-08-09 08:03:33 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.